@REM ================================================================================
@REM Setup RATLC01429675 System Architect / System Architect XT  11.3.1.170 TestFix 1
@REM ================================================================================

@set SA_INSTALLDIR="C:\Program Files\Rational"
@set HF_INSTALLDIR="C:\Program Files\Rational"
@set ERROR_LOG=%TEMP%\RATLC01429675_SA_SAXT_TestFix_1_08.06.2010_ERRORLOG.log
    
@set SA_HotFix_Version=System Architect / System Architect XT 11.3.1.170 TestFix 1

@cls

@echo.
@echo =======================================================
@echo %SA_HotFix_Version%
@echo.
@echo Product:  System Architect Suite 
@echo.
@echo Part II (Common Files)
@echo Installs  
@echo %SA_HotFix_Versio%
@echo.
@echo %ERROR_LOG% 
@echo will include a listing
@echo of any errors encountered while
@echo installing this Hot Fix.
@echo.
@echo Contact Rational Technical Support if
@echo you encounter any Installation Errors.
@echo =======================================================
@echo.

@pause

@echo.
@echo Installing Part II %SA_HotFix_Version%...
@Common_Files.exe 2>>%ERROR_LOG%
  @if errorlevel 1 goto Error
@echo.

@echo.

@goto Success

@echo.
	

:Error
@echo.
@echo Error setting up %RSA_HotFix_Version%
@echo See %ERROR_LOG% for details
@echo.
@goto done

:Success
@echo.
@if exist %ERROR_LOG% del %ERROR_LOG% && echo Removing %ERROR_LOG%
@echo =======================================================
@echo %RSA_HotFix_Version%
@echo     Successfully Installed
@echo =======================================================
@echo.
@pause

:done